Skip to content

Get campaign run results.​

GET
/backend/v1/campaign-runs/{campaignRunId}/results

Retrieves the campaign run's attack results that match the given filters. Values within a filter are
combined with OR, and different filters with AND.

Authorizations​

HTTPBearer
Type
HTTP (bearer)

Parameters​

Path Parameters

campaignRunId*
Type
string
Required
Format
"uuid"

Query Parameters

cursor

Selects page for paginated results. Pass in the next or prev attribute in the response

providerId

Only return results from these providers.

vector

Only return results from these attack vectors.

technique

Only return results from these techniques.

vulnerable

Only return results that are (or aren't) vulnerable.

error

Only return results that did (or didn't) error.

severity

Only return results with these severities.

intentCategory

Only return results with these intent categories.

intentType

Only return results with these intent types. signature matches static content results.

converter

Only return results with these converters. none matches results without a converter.

intent

Only return results with these intents.

search

Only return results whose intent, error or conversation match the given text.

limit

Limits the amount of results.

Type
integer
Default
50
Maximum
500
Minimum
1

Responses​

Successful Response

application/json
JSON
{
  
"count": 0,
  
"next": "string",
  
"prev": "string",
  
"results": [
  
  
{
  
  
  
"attackRunId": "string",
  
  
  
"campaignRunId": "string",
  
  
  
"conversation": [
  
  
  
  
{
  
  
  
  
  
"additionalProperties": "string"
  
  
  
  
}
  
  
  
],
  
  
  
"conversationSteps": 0,
  
  
  
"converter": "string",
  
  
  
"error": "string",
  
  
  
"errorSummary": {
  
  
  
  
"message": "string",
  
  
  
  
"type": "string"
  
  
  
},
  
  
  
"id": "string",
  
  
  
"intent": "string",
  
  
  
"intentCategory": "string",
  
  
  
"intentType": "string",
  
  
  
"providerId": "string",
  
  
  
"refusalCheck": {
  
  
  
  
"isDeterministic": false,
  
  
  
  
"isRefusal": false,
  
  
  
  
"matchedPhrases": [
  
  
  
  
  
[
  
  
  
  
  
]
  
  
  
  
],
  
  
  
  
"score": 0,
  
  
  
  
"sources": [
  
  
  
  
  
[
  
  
  
  
  
]
  
  
  
  
]
  
  
  
},
  
  
  
"severity": 0,
  
  
  
"technique": "string",
  
  
  
"vector": "string",
  
  
  
"vulnerable": true
  
  
}
  
]
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI

Updated at: